Subject: bug#44399: Cuirass problem with building from manifest file

From: david larsson <[email-masked]>
Date: Tue, 03 Nov 2020 16:04:11 +0000

On 2020-11-02 20:12, Mathieu Othacehe wrote:

> 
> Could you please confirm that it works?
> 
> Thanks,
> 
> Mathieu

Things do work now. I had made a mistake in my config.

In case it helps someone; to fix it, I changed my-guixsd-config input 
load path to ".":

                  ((#:name . "config")
                   (#:url . "file:///home/cuirass/my-guixsd-config.sh")
                   (#:load-path . ".")
                   (#:branch . "master")
                   (#:no-compile? . #t))

and in proc-args I changed the manifests path, and made sure "manifests" 
has quotes around it, so I changed it to:

     (#:proc-args .
      ((subset . "manifests")
       (systems . ("x86_64-linux"))
       (manifests . (("config" . "manifests/user1.scm")))
       ))

which now built over 200 packages successfully, yay!

Thanks for your help Mathieu!

Best regards,
David